| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
thread_sub.h File Reference
`#include <ARX/ARUtil/types.h>`
Include dependency graph for thread_sub.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _THREAD_HANDLE_T | THREAD_HANDLE_T

## Functions
ARUTIL_EXTERN THREAD_HANDLE_T * | threadInit (int ID, void *arg, void *(*start_routine)(THREAD_HANDLE_T *))
ARUTIL_EXTERN int | threadFree (THREAD_HANDLE_T **flag)
ARUTIL_EXTERN int | threadStartSignal (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadGetStatus (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadGetBusyStatus (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadEndWait (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadWaitQuit (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadStartWait (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadEndSignal (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadGetID (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN void * | threadGetArg (THREAD_HANDLE_T *flag)
ARUTIL_EXTERN int | threadGetCPU (void)

## Typedef Documentation

## ◆ THREAD_HANDLE_T

typedef struct _THREAD_HANDLE_T THREAD_HANDLE_T

## Function Documentation

## ◆ threadEndSignal()

ARUTIL_EXTERN int threadEndSignal | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadEndWait()

ARUTIL_EXTERN int threadEndWait | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadFree()

ARUTIL_EXTERN int threadFree | ( | THREAD_HANDLE_T ** | flag | ) |

## ◆ threadGetArg()

ARUTIL_EXTERN void * threadGetArg | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetBusyStatus()

ARUTIL_EXTERN int threadGetBusyStatus | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetCPU()

ARUTIL_EXTERN int threadGetCPU | ( | void |  | ) |

## ◆ threadGetID()

ARUTIL_EXTERN int threadGetID | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadGetStatus()

ARUTIL_EXTERN int threadGetStatus | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadInit()

ARUTIL_EXTERN THREAD_HANDLE_T * threadInit | ( | int | ID,
|  | void * | arg,
|  | void *(*)(THREAD_HANDLE_T *) | start_routine
| ) |  |

Here is the call graph for this function:

## ◆ threadStartSignal()

ARUTIL_EXTERN int threadStartSignal | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadStartWait()

ARUTIL_EXTERN int threadStartWait | ( | THREAD_HANDLE_T * | flag | ) |

## ◆ threadWaitQuit()

ARUTIL_EXTERN int threadWaitQuit | ( | THREAD_HANDLE_T * | flag | ) |